# Create Marco Profile

### <mark style="background-color:yellow;">**Create Marco Profile**</mark>

```
POST http://127.0.0.1:2268/profiles
```

### <mark style="background-color:yellow;">Parameters -</mark> `Parameter`

<table><thead><tr><th width="225.33333333333331">Name</th><th width="125">Type</th><th>Description</th></tr></thead><tbody><tr><td>os</td><td><code>String</code></td><td>Operating system. List of supported operating systems: (win, mac, lin, ios)</td></tr><tr><td>isWin11</td><td><code>Boolean</code></td><td>default: true</td></tr><tr><td>model</td><td><code>String</code></td><td>Mobile device information (ipad)</td></tr><tr><td>name</td><td><code>String</code></td><td>Optional profile's name</td></tr><tr><td>notes</td><td><code>String</code></td><td>Optional Note</td></tr><tr><td>browserSource</td><td><code>String</code></td><td>Optional Browser. List of supported browsers source: (marco)</td></tr><tr><td>browserType</td><td><code>String</code></td><td>Optional Browser. List of supported browsers type: (chrome, brave, opera, edge, yandex)</td></tr><tr><td>browserDataSync</td><td><code>Boolean</code></td><td>default: true</td></tr><tr><td>majorVersion</td><td><code>Number</code></td><td>Chrome version</td></tr><tr><td>fakeCanvas</td><td><code>Boolean</code></td><td>default: true</td></tr><tr><td>fakeMediaDevices</td><td><code>Boolean</code></td><td>default: true</td></tr><tr><td>fakeWebGLImage</td><td><code>Boolean</code></td><td>default: true</td></tr><tr><td>fakeWebGLMetaData</td><td><code>Boolean</code></td><td>default: true</td></tr><tr><td>fakeAudio</td><td><code>Boolean</code></td><td>default: true</td></tr><tr><td>fakeClientRects</td><td><code>Boolean</code></td><td>default: false</td></tr><tr><td>clearCacheOnBrowserClose</td><td><code>Boolean</code></td><td>default: true</td></tr><tr><td>restoreLastSessionOnBrowserOpen</td><td><code>Boolean</code></td><td>default: true</td></tr><tr><td>language</td><td><code>String</code></td><td>browser language </td></tr><tr><td>resolution</td><td><code>String</code></td><td>screen resolution</td></tr><tr><td>proxy</td><td><code>String</code></td><td><p>Optional Proxy. Support http, socks4, socks5. Use in the following format:</p><pre class="language-json"><code class="lang-json">"{\"host\":\"127.0.0.1\",\"mode\":\"http\",\"password\":\"d92913ab\",\"port\":26951,\"username\":\"nguyenmanhtien.bh\"}"
</code></pre></td></tr><tr><td>folder</td><td><code>String</code></td><td>ID</td></tr><tr><td>startUrl</td><td><code>String</code></td><td>start URL</td></tr><tr><td>extensions</td><td><code>String</code></td><td><p>extension folder path <br></p><pre class="language-json"><code class="lang-json">"C:\\Extensions\\1,C:\\Extensions\\2"
</code></pre></td></tr><tr><td>webRTCMode</td><td><code>Boolean</code></td><td>default:true. Disable WebRTC: false</td></tr><tr><td>fakeCanvas</td><td><code>Boolean</code></td><td>default:true</td></tr><tr><td>majorVersion</td><td><code>String</code></td><td>Browser's version</td></tr></tbody></table>

### Example

* Link to Postman's API Hidemyacc version 3:

<https://drive.google.com/file/d/1th6bL94-crxaHUZ6-fyTUCfJJOnmT92k/view>

### <mark style="background-color:yellow;">Success response</mark>

**Success response - `Success 200`**

| Name | Type     | Description         |
| ---- | -------- | ------------------- |
| data | `Object` | Profile information |

### <mark style="background-color:yellow;">Success response example</mark>

**Success response example - `Success-Example`**

```
Status code: 200 OK 
{
    "code": 1,
    "data": {
        "id": "64816f8c3bb6b40724423ab3",
        "name": "test-auto-2",
        "os": "win",
        "platform": "Win32",
        "browserSource": "marco",
        "browserType": "brave",
        "proxy": {
            "proxyEnabled": false,
            "autoProxyServer": "",
            "autoProxyUsername": "",
            "autoProxyPassword": "",
            "changeIpUrl": "",
            "mode": "http",
            "port": 26951,
            "autoProxyRegion": "VN",
            "torProxyRegion": "us",
            "host": "127.0.0.1",
            "username": "nguyenmanhtien.bh",
            "password": "d92913ab"
        },
        "startUrl": "https://ipfighter.com",
        "folder": "6466014a8dc055a729880fa1"
    }
}

```

### <mark style="background-color:yellow;">Error response</mark>

**Error response - `Error 4xx`**

<table><thead><tr><th width="199">Name</th><th width="162.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>402</td><td></td><td>API supported from Team plan</td></tr></tbody></table>

### <mark style="background-color:yellow;">Error response example</mark>

**Error response example - `Response (example):`**

```
Status code 402: Payment required
{
    "code": 0
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hidemyacc.com/hidemyacc-3.0-features/hidemyacc-3.0-api/profile-api/create-marco-profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
